=== debian/changelog ===
teem (1.12.0~20160122-8) unstable; urgency=medium

  * debian/rules: Remove hard-coded -DCMAKE_BUILD_TYPE
  * debian/rules: Cleanup build flags
  * debian/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 06 Sep 2025 02:10:05 -0400

teem (1.12.0~20160122-7) unstable; urgency=medium

  * Set minimum cmake to 3.10 (Closes: 1113565)

 -- Dominique Belhachemi <domibel@debian.org>  Wed, 03 Sep 2025 20:52:05 -0400

teem (1.12.0~20160122-6) unstable; urgency=medium

  * Team upload.
  [ wuruilong <wuruilong@loongson.cn> ]
  * Add support for loong64 Closes: #1068627

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Dec 2024 14:52:59 +0100

teem (1.12.0~20160122-5) unstable; urgency=medium

  * Team upload.

  [ Bo YU ]
  * d/rules: set DEB_CFLAGS_MAINT_APPEND = -ffp-contract=off in riscv64
    (Closes: #1011263)

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.1.
  * d/rules: Disable parallel test to circumvent potential random FTBFS.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Jun 2022 20:57:47 -0400

teem (1.12.0~20160122-4) unstable; urgency=medium

  * Team upload.
  * Fix team name according to Debian Science team policy
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Refer to specific version of license GPL-2+.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 17:28:27 +0100

teem (1.12.0~20160122-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 06 Sep 2018 16:54:31 +0200

teem (1.12.0~20160122-2) unstable; urgency=medium

  * Team upload.
  * Re-apply change from Tobias' NMU 1.11.0~svn6057-1.1 there were accidentally
    reverted by the previous upload.  Closes: #820503, #704206
  * Add arm64 and ppc64el to -ffp-contract=off list to fix FTBFS on those
    architectures.  Closes: #820772
  * Fix Vcs-Git URL.
  * Bump debhelper compat level to 10.
    + --parallel is now the default.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Enable harening (bindnow).

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Apr 2017 21:50:23 +0200

teem (1.12.0~20160122-1) unstable; urgency=medium

  * Team upload
  * New SVN snapshot
  * Rework d/get-orig-source to create data based version numbers
  * Packaging moved from SVN to Git
  * cme fix dpkg-control
  * debhelper 9
  * cme fix dpkg-copyright
  * Drop -dbg package which is created automatically
  * Do not explicitly depend from quilt
  * Update and split up quilt patches and add DEP3 headers
  * DEP5 fix
  * Replace cdbs by dh (try d-shlibs but failed since there is no static
    library)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Apr 2016 15:56:57 +0200
