=== debian/rules ===
#!/usr/bin/make -f

# Set this value to 0/1 to turn off/on verbose mode.
#export DH_VERBOSE=1

ABI_VERSION := 2

include /usr/share/dpkg/default.mk
UVERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/~[0-9]\+$$//' )
BUILDDIR = obj-$(DEB_HOST_GNU_TYPE)

CMAKE_EXTRA_FLAGS = \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DBUILD_SHARED_LIBS:BOOL=ON \
        -DBUILD_EXPERIMENTAL_APPS:BOOL=OFF \
        -DBUILD_EXPERIMENTAL_LIBS:BOOL=OFF \
        -DBUILD_TESTING:BOOL=ON \
        -DTeem_USE_LIB_INSTALL_SUBDIR:BOOL=ON

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), i386))
  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
endif
ifneq (,$(filter $(DEB_HOST_ARCH_CPU), arm64 loong64 powerpc ppc64 ppc64el riscv64 s390x))
  export DEB_CFLAGS_MAINT_APPEND = -ffp-contract=off
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel -- LD_LIBRARY_PATH="$(CURDIR)/$(BUILDDIR)/bin:$$LD_LIBRARY_PATH"
endif

override_dh_install:
	dh_install
	dh_install -plibteem${ABI_VERSION}    debian/tmp/usr/lib/Teem-$(UVERSION)/*so.*         usr/lib
	dh_install -plibteem-dev              debian/tmp/usr/lib/Teem-$(UVERSION)/*.so          usr/lib
	dh_install -plibteem-dev              debian/tmp/usr/lib/Teem-$(UVERSION)/*.cmake       usr/lib/Teem-$(UVERSION)
	dh_install -plibteem-dev              debian/tmp/usr/include/teem/*                usr/include/teem

override_dh_install_d-shlibs: # This does only work for packages with static lib
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)		usr/include \
		    --movedev "debian/tmp/usr/lib/Teem-$(UVERSION)/*.cmake	usr/lib/Teem-$(UVERSION) \
		      debian/tmp/usr/lib/*/lib$(DEB_SOURCE).so


get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source
