=== debian/watch ===
version=4
opts="dversionmangle=s/\.dfsg1//" http://sf.net/teem/teem-(.*)-src\.tar\.gz
